#
# spec file for package sbl (Version 3.0f)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           sbl
BuildRequires:  gcc-c++
Version:        3.0f
Release:        16.2
License:        GPL v2 or later
Group:          Hardware/Other
Source:         sblsrc-3.0f.tgz
Patch0:         sblsrc-3.0f.diff
Patch1:         sblsrc30f-sec.diff
Summary:        SuSE blinux
PreReq:         %insserv_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SuSE blinux is a screen reader for the Linux console. It supports
braille displays.



Authors:
--------
    marco@suse.de

%debug_package
%prep
%setup -n sblsrc-3.0f
%patch0
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE" LIB_CFLAGS="$RPM_OPT_FLAGS -D_POSIX_C_SOURCE=2 -D_BSD_SOURCE -fPIC"

%install 
make LIBINSTPATH=%{_libdir} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
%{insserv_force_if_yast etc/init.d/suse-blinux }

%postun
%run_ldconfig
%{insserv_cleanup}

%files
%defattr (-,root,root,755)
%doc doc/* Changelog
/usr/lib/suse-blinux/keymap
/usr/lib/suse-blinux/lib
%dir /usr/lib/suse-blinux
/usr/lib/suse-blinux/profile
/usr/lib/suse-blinux/brltbl
/usr/lib/suse-blinux/spkfilter
/usr/lib/suse-blinux/spk
/usr/lib/suse-blinux/sbl
/usr/sbin/sbl
/usr/sbin/brld
/usr/sbin/rcbrld
%{_libdir}/libbrld.so
%config /etc/init.d/suse-blinux
%config /etc/init.d/brld
%config /etc/suse-blinux.conf

%changelog
* Thu Feb 05 2009 - marco@suse.de
- added security patch Bug#436841
- check buffer-size and length of incoming data to avoid a buffer-overflow
* Wed Aug 01 2007 - schwab@suse.de
- Fix compilation.
* Mon Jul 23 2007 - marco@suse.de
- changed default value for brlname to none in suse-blinux.conf
- fixed build-problems for x86_64
  do make LIBINSTPATH=/usr/lib64 for x86_64 architectures
* Tue Jul 17 2007 - marco@suse.de
- first release of brld
* Sat Jul 14 2007 - marco@suse.de
- version 3.0
- sbl now connects to brld (part of the sbl package)
- added speechdispatcher support (thanks to Halim Sahin)
- added some patches to the HT driver to improve
  the handling of disconnects if Bt is used via rfcomm (thanks to Klaus  Knopper)
- if sbl is used with the kbd_sniffer-kernel-patch keyboard.map is used by default
  keyboardsettings in <brlname>.map will overwrite the settings in
  keyboard.map (thanks to Klaus Knopper)
- impoved the fhp_usb driver - handling of incoming keyevents is now more
  stable
* Fri Mar 02 2007 - marco@suse.de
- added patch from ssommer@suse.de
- changed screen device from /dev/vcsa0 to /dev/vcsa
* Mon Jan 22 2007 - ssommer@suse.de
- fixed invalid operation error and deobfuscated the code a bit
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
- Always use RPM_OPT_FLAGS.
* Fri Jun 17 2005 - meissner@suse.de
- use RPM_OPT_FLAGS.
* Sat May 28 2005 - olh@suse.de
- cast to avoid build failure
* Wed Jun 16 2004 - ro@suse.de
- cast to avoid gcc warning
* Fri Mar 26 2004 - kukuk@suse.de
- don't apply removed patch
- build as user
* Wed Mar 24 2004 - marco@suse.de
- added portability patch from schwab@suse.de
* Wed Mar 17 2004 - schwab@suse.de
- Remove bogus use of sa_restorer.
- Fix portability bugs.
* Mon Mar 15 2004 - marco@suse.de
- fixed ia64 errors in softspeech_server.c
* Mon Mar 15 2004 - marco@suse.de
- fixed FB bug resolutions > 800x600 now OK
- disabled mbrdico support for this version (2.2)
- added new softspeech-lib
* Tue Mar 09 2004 - marco@suse.de
- added brlstar80 support
- improved softspeech support
- improve speech-only navigation (kernel patch needed)
- added brllino support (experimental)
* Sun Mar 07 2004 - ro@suse.de
- create pipes with mode 644
* Mon Aug 11 2003 - marco@suse.de
- add power-braille-support (experimental)
- add mbrdico support in softspeech_server
* Thu Jun 05 2003 - coolo@suse.de
- use BuildRoot
- move rc* link to /usr/sbin
- replaced invalid rpath
* Thu Sep 12 2002 - marco@suse.de
- removed lib-mn and lib-blazi
* Tue Sep 10 2002 - marco@suse.de
- added profiles y2base and y2menu
- removed include of rc.config in suse-blinux script
* Tue Aug 20 2002 - ro@suse.de
- added prereq (#17984)
* Thu Jul 25 2002 - marco@suse.de
- add brlwave features
- fixed bug in startscript
- modified spkfilter for multi-language-support
* Thu Jun 13 2002 - ro@suse.de
- always use macros when calling insserv
* Thu Mar 21 2002 - mmj@suse.de
- Fixed typo (Bug #14709)
* Sun Feb 10 2002 - marco@suse.de
- add brlstar40-support
* Thu Jan 31 2002 - marco@suse.de
- cleaned up the profile and keymap directory
- fixed the lnrgt bug
* Tue Jan 29 2002 - marco@suse.de
- add patch from schwab@suse.de
- add string-compression for speech
- add a new handling of screen-memory (for frame-buffer)
* Wed Jan 23 2002 - schwab@suse.de
- Fix to compile.
* Tue Jan 15 2002 - marco@suse.de
- moved fifos from /tmp to /var/run
- using a new version of softspeech.so
* Mon Sep 17 2001 - marco@suse.de
- fixed bug in startup-script (status)
* Thu Sep 06 2001 - marco@suse.de
- add check before using fifos
* Wed Aug 15 2001 - marco@suse.de
- add patch from ro@suse.de (use g++ instead of gcc for linking)
* Mon Aug 13 2001 - marco@suse.de
- add patch from schwab@suse.de
- add new documentation
* Mon Aug 13 2001 - schwab@suse.de
- Remove references to sa_restorer.
- Don't call linker directly.
* Mon Aug 13 2001 - marco@suse.de
- add combibraille-support (25,40,80)
- fix tiny bug
- fix handytech bug (statuscells)
- add debug functions
- add kbd_sniff-support using kernel-patch 2.2.x
- improve softspeech-interface
- modify yast2-profile
- fix start-script suse-blinux
- insert the changes from schwab@suse.de
- add baum vario support
* Sun Jun 17 2001 - schwab@suse.de
- Fix buiding of shared libraries.
- Fix missing declarations.
- Remove useless inline.
* Sat May 05 2001 - schwab@suse.de
- Fix building on non ia32 platforms.
* Mon Apr 30 2001 - marco@suse.de
- update to 1.2
* Tue Dec 12 2000 - marco@suse.de
- integrated patches
* Thu Nov 30 2000 - ro@suse.de
- fixed start-script to install in /etc/init.d
- use doc macro in specfile
* Wed Nov 29 2000 - ro@suse.de
- re-added patch from schwab@suse.de
* Sat Nov 18 2000 - marco@suse.de
- build shared-libs
* Sat Nov 18 2000 - marco@suse.de
- update to 1.1
* Thu Jun 29 2000 - marco@suse.de
- suse-blinux.conf - profile2 is now y2bignfat (for yast2 textmode inst)
  : keymaps - prof1,prof2
* Wed Jun 28 2000 - marco@suse.de
- change yast2-profile (frame-buffer)
* Wed Jun 28 2000 - marco@suse.de
- bug-fix in profile-directory
* Tue Jun 27 2000 - marco@suse.de
- new profile for yast2
* Tue Jun 27 2000 - marco@suse.de
- dynamic linking
